device_type: "qemu"

job_name: "tuxrun@qemu-arm64: boot"
priority: "medium"
visibility: "public"

context:
    arch: "arm64"
    machine: "virt,gic-version=3,mte=on"
    cpu: "max,pauth-impdef=on"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 16
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 4
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog earlycon"'
        url: "https://storage.tuxboot.com/buildroot/arm64/Image"
      rootfs:
        image_arg: "-drive file={rootfs},if=none,format=raw,id=hd0 -device virtio-blk-device,drive=hd0"
        url: "https://storage.tuxboot.com/buildroot/arm64/rootfs.ext4.zst"
        compression: zstd
        format: ext4
- boot:
    method: qemu
    timeout:
      minutes: 12
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
